# Asterisk Project : Asterisk 13 ManagerEvent_TransportDetail

Created by wikibot on Aug 08, 2014

# TransportDetail

### Synopsis

Provide details about an authentication section.

### Description

### Syntax

    Event: TransportDetail
    ObjectType: <value>
    ObjectName: <value>
    Protocol: <value>
    Bind: <value>
    AsycOperations: <value>
    CaListFile: <value>
    CertFile: <value>
    PrivKeyFile: <value>
    Password: <value>
    ExternalSignalingAddress: <value>
    ExternalSignalingPort: <value>
    ExternalMediaAddress: <value>
    Domain: <value>
    VerifyServer: <value>
    VerifyClient: <value>
    RequireClientCert: <value>
    Method: <value>
    Cipher: <value>
    LocalNet: <value>
    Tos: <value>
    Cos: <value>
    WebsocketWriteTimeout: <value>
    EndpointName: <value>

##### Arguments

- `ObjectType` - The object's type. This will always be 'transport'.
- `ObjectName` - The name of this object.
- `Protocol` - Protocol to use for SIP traffic
- `Bind` - IP Address and optional port to bind to for this transport
- `AsycOperations` - Number of simultaneous Asynchronous Operations
- `CaListFile` - File containing a list of certificates to read (TLS ONLY)
- `CertFile` - Certificate file for endpoint (TLS ONLY)
- `PrivKeyFile` - Private key file (TLS ONLY)
- `Password` - Password required for transport
- `ExternalSignalingAddress` - External address for SIP signalling
- `ExternalSignalingPort` - External port for SIP signalling
- `ExternalMediaAddress` - External IP address to use in RTP handling
- `Domain` - Domain the transport comes from
- `VerifyServer` - Require verification of server certificate (TLS ONLY)
- `VerifyClient` - Require verification of client certificate (TLS ONLY)
- `RequireClientCert` - Require client certificate (TLS ONLY)
- `Method` - Method of SSL transport (TLS ONLY)
- `Cipher` - Preferred Cryptography Cipher (TLS ONLY)
- `LocalNet` - Network to consider local (used for NAT purposes).
- `Tos` - Enable TOS for the signalling sent over this transport
- `Cos` - Enable COS for the signalling sent over this transport
- `WebsocketWriteTimeout` - The timeout (in milliseconds) to set on WebSocket connections.
- `EndpointName` - The name of the endpoint associated with this information.

### Class

COMMAND

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538